/*
 *  Branch.h
 *  Octopus
 *
 *  Created by Carson Baker on 7/18/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#import <stdio.h>

class Branch : public Drawable, public Responder, public Timed {
	
public:
	Branch(float angleX, float angleY);
	~Branch() { gluDeleteQuadric(quadratic); }
	
	void Draw();
	void KeyDown(int a);
	void KeyUp(int a);
	void Update();
	
	void TimerHit(int secs, int thou);
	
private:
	
	Branch *children[3];
	int child_nr;
	float _width; 
	float _height;
	float _widthspeed; 
	float _heightspeed; 
	float _angleX; 
	float _angleY; 
	float _angPosX; 
	float newangle; 
	float nextchild; 
	float _colorr;
	float _colorb;
	float _colorg;
	
	GLUquadric *quadratic;
	
	void drawCylinder(float topRadius, float bottomRadius, float tall, int sides);

};


