/*
 *  Thom.cpp
 *  Octoups
 *
 *  Created by Carson Baker on 7/16/08.
 */

#import "Thom.h"

Thom::Thom() : Game() {
	game = this;
}

void Thom::ScrollWheel(int a)
{
	SetNeedsDraw(true);
}

void Thom::GLInit() {
	Game::GLInit();
	
	CBGLSetup_runtimer();
	
	SetBackgroundColor(0.0f,0.0f,0.0f);
	
	objects.push_back((Drawable*)&cam);
	//objects.push_back((Drawable*)&backdrop);
	objects.push_back((Drawable*)&face);
}

void Thom::MouseMoved(int a, int b)
{
	cam.LookAt(a,b);
	SetNeedsDraw(true);
}

void Thom::RightMouseMoved(int a, int b)
{
	
}

void Thom::KeyUp(int a)
{
	//tree.root.KeyUp(a);
	cam.KeyUp(a);
}

void Thom::TimerHit(int secs, int thou)
{
	Game::TimerHit(secs,thou);
}

void Thom::KeyDown(int a)
{
    switch(a)
    {
		case 'q': exit(0); break;
		case 'm': face.mode = (face.mode >= 4) ? 0 : face.mode + 1; break;
    }
		
	cam.KeyDown(a);
	SetNeedsDraw(TRUE);
}

void Thom::KeyDownForText(int a) {

}