/*
 *  HOC.h
 *  Thom
 *
 *  Created by Carson Baker on 7/16/08.
 */

#import "Face.h"

extern Game* game;

class Thom : public Game {
	
public:
	Thom();
	
	virtual void GLInit();
	virtual void KeyDown(int a);
	virtual void KeyUp(int a);
	virtual void KeyDownForText(int a);
	virtual void MouseMoved(int a, int b);
	virtual void RightMouseMoved(int a, int b);
	virtual void ScrollWheel(int a);
	
	void TimerHit(int secs, int thou);
	
private:
	
	OrbitCam cam;
	Backdrop backdrop;
	Face face;
	
};