/*
 *  Tree.h
 *  Octopus
 *
 *  Created by Carson Baker on 7/16/08.
 *
 */


class Face : public Drawable, public Responder, public Timed {
private:

public:
	
	int mode;
	
	Face();
	
	void Draw();
	
	void TimerHit(int secs, int thou);
	
private:
	
	FILE *frame_file;
	int current_frame;
	int current_frame_size;
	float target_fps;
	
	
	// none of these frames have more than 15000 dots
	Vector4 dots[15000];
	
	void loadNextFrame(int target_frame);
	
};
