/*
 *  Main.cpp
 *  Octopus
 *
 *  Created by Carson Baker on 7/16/08.
 *
 */

#import "Thom.h"

Game *game;

int main(int argc, const char *argv[])
{
	int return_code;
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	{
		// for now i want to keep the same random seed
		//srand(1234);
		srand ( time(NULL) );
		
		CBGLSetup_setdrawfps(0);
		//CBGLSetup_setfullscreen(1);
		CBGLSetup_settimerhz(60);
		
		CBGLSetup_setresoption(21); // 45 is good for a small window
		CBGLSetup_setmousevisible(0);
		
		game = new Thom();
		{
			
			NSSound *loopMe = [[NSSound alloc]
			 initWithContentsOfFile:@"../../HouseOfCards_DataSample.mp3"
			 byReference:YES];
			
			[loopMe setLoops: true];
			[loopMe play];
			
			
			return_code = CBGLSetupMain();
		}
		delete game;
	}
	[pool release];
	return return_code;
}